org.springframework.util

## Class ConcurrentReferenceHashMap.Entry<K,V>

- java.lang.Object
- - org.springframework.util.ConcurrentReferenceHashMap.Entry<K,V>

All Implemented Interfaces:
  Map.Entry<K,V>

Enclosing class:
  ConcurrentReferenceHashMap<K,V>

    protected static final class ConcurrentReferenceHashMap.Entry<K,V>
    extends Object
    implements Map.Entry<K,V>

A single map entry.

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentReferenceHashMap.Entry(K key, V value)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`K` `getKey()`
`V` `getValue()`
`int` `hashCode()`
`V` `setValue(V value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrentReferenceHashMap.Entry

    public ConcurrentReferenceHashMap.Entry(K key,
                                    V value)

### Method Detail

#### getKey

    public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

#### getValue

    public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

#### setValue

    public V setValue(V value)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public final boolean equals(Object o)

Specified by:
  `equals` in interface `Map.Entry<K,V>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public final int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry<K,V>`
Overrides:
  `hashCode` in class `Object`